import React from 'react';
import styled from 'styled-components';
var StyledTd = styled.td.withConfig({
  displayName: "Td__StyledTd",
  componentId: "sc-1r6yxrk-0"
})(["height:100%;padding:", "px ", "px;text-align:", ";&:first-child{padding-left:0;}&:last-child{padding-right:0;}", ""], function (p) {
  return p.theme.spacing.unit(2);
}, function (p) {
  return p.theme.spacing.unit(1);
}, function (p) {
  return p.textAlign;
}, function (p) {
  return p.ellipsis ? "white-space: nowrap;\n     overflow: hidden;\n     text-overflow: ellipsis;\n    " : '';
});
export var Td = function Td(_ref) {
  var _ref$textAlign = _ref.textAlign,
    textAlign = _ref$textAlign === void 0 ? 'left' : _ref$textAlign,
    _ref$ellipsis = _ref.ellipsis,
    ellipsis = _ref$ellipsis === void 0 ? false : _ref$ellipsis,
    className = _ref.className,
    children = _ref.children;
  return React.createElement(StyledTd, {
    textAlign: textAlign,
    ellipsis: ellipsis,
    className: className
  }, children);
};